Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class CMLedgerSubjectInfo

    java.lang.Object
      com.tibco.tibjms.admin.CMLedgerSubjectInfo

    public class CMLedgerSubjectInfo

extends java.lang.Object

This class represents an outbound subject entry in a TIBCO Rendezvous Certified Messaging ledger file.

Method Summary
`long` | `getLastSent()` Returns the sequence number of the most recent message sent with this subject name.
`CMLedgerListenerInfo[]` | `getListeners()` Returns an array of CMLedgerListenerInfo objects, one for each registered listener.
`java.lang.String` | `getSubject()` Returns the name of the subject that this object summarizes.
`int` | `getTotalMsgs()` Returns the total number of messages stored on this subject.
`int` | `getTotalSize()` Returns the total storage (in bytes) occupied by all messages with this subject name.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSubject

    public java.lang.String getSubject()

  Returns the name of the subject that this object summarizes.

  Returns:
    the name of the subject that this object summarizes.

### getLastSent

    public long getLastSent()

  Returns the sequence number of the most recent message sent with this subject name.

  Returns:
    the sequence number of the most recent message sent with this subject name.

### getTotalMsgs

    public int getTotalMsgs()

  Returns the total number of messages stored on this subject.

  Returns:
    the total number of messages stored on this subject.

### getTotalSize

    public int getTotalSize()

  Returns the total storage (in bytes) occupied by all messages with this subject name. If the ledger contains several messages with this subject name, then this field sums the storage space over all of them.

  Returns:
    the total storage (in bytes) occupied by all messages with this subject name.

### getListeners

    public CMLedgerListenerInfo[] getListeners()

  Returns an array of CMLedgerListenerInfo objects, one for each registered listener.

  Returns:
    an array of CMLedgerListenerInfo objects, one for each registered listener.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved